settype
unserialize
Variable handling Functions
PHP Manual

# strval

(PHP 4, PHP 5)

strval — Get string value of a variable

### Description

string strval ( mixed `$var` )

Get the string value of a variable. See the documentation on string for more information on converting to string.

### Parameters

`var`

  The variable that is being converted to a string.

  `var` may be any scalar type. You cannot use strval() on arrays or objects.

### Return Values

The string value of `var` .

### See Also

- floatval()
- intval()
- settype()
- Type juggling

settype
unserialize
Variable handling Functions
PHP Manual